minds-button {
  display: inline-block;
}
.m-button.m-button--text {
  -webkit-appearance: none;
  background: transparent;
  padding: 12px 16px;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  font-size: 14px;
  font-family: 'Roboto', Helvetica, sans-serif;
  @include m-theme() {
    color: themed($m-grey-500);
    border: 1px solid themed($m-grey-50);
  }
}

.m-topbar .m-btn {
  height: 32px;
}

.m-btn {
  background: transparent !important;
  border-radius: 18px;
  font-size: 12px;
  height: 42px;
  letter-spacing: 1.25px;
  box-shadow: none;
  text-transform: uppercase;
  padding: 8px 16px;
  font-family: 'Roboto', Helvetica, sans-serif;
  cursor: pointer;

  @include m-theme() {
    color: themed($m-grey-800);
    border: 1px solid themed($m-grey-50);
  }

  &:hover {
    @include m-theme() {
      border: 1px solid rgba(themed($m-grey-200), 0.6);
    }
  }
}

.m-btn--slim {
  height: 32px;
}

.m-btn--action {
  @include m-theme() {
    background-color: themed($m-white);
    color: themed($m-blue) !important;
    border: 1px solid themed($m-blue);
  }

  &:hover {
    @include m-theme() {
      border: 1px solid themed($m-blue);
    }
  }

  &[disabled] {
    @include m-theme() {
      color: themed($m-grey-200) !important;
      border-color: themed($m-grey-200) !important;
    }
  }
}

.m-btn--destructive {
  @include m-theme() {
    background-color: themed($m-white);
    color: themed($m-red) !important;
    border: 1px solid themed($m-red);
  }

  &:hover {
    @include m-theme() {
      border: 1px solid themed($m-red);
    }
  }

  &[disabled] {
    @include m-theme() {
      color: themed($m-grey-200) !important;
      border-color: themed($m-grey-200) !important;
    }
  }
}

.m-btn--with-icon {
  padding-left: 8px;
  padding-right: 12px;

  &.m-btn--slim {
    padding-left: 8px;
    padding-right: 16px;
  }

  i {
    font-size: 20px;
    line-height: 0;
    margin-right: 4px;
    opacity: 0.9;
  }
  i,
  span {
    vertical-align: middle;
  }

  &.m-btn--slim > i {
    margin-left: 4px;
    margin-right: 4px;
  }
}
